Page MenuHomePhabricator

The French Wiktionary requires to set "$wgCategoryCollation" to "uca-default"
Closed, ResolvedPublic

Description

Hello,

The French Wiktionary community has voted in favor of a new collation: please set "$wgCategoryCollation" to "uca-default".

Vote: https://fr.wiktionary.org/wiki/Wiktionnaire:Prise_de_décision/Clés_de_tri_françaises_par_défaut

Details

Related Gerrit Patches:

Event Timeline

JackPotte created this task.Jul 5 2017, 8:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 8:44 PM
Reedy renamed this task from The French WIktionary requires to set "$wgCategoryCollation" to "uca-default" to The French Wiktionary requires to set "$wgCategoryCollation" to "uca-default".Jul 5 2017, 8:49 PM
Reedy added a project: Wikimedia-Site-requests.
Reedy added a subscriber: Reedy.

OOI, why uca-default? Rather than something like the other french wikis do?

	'frwiki' => 'uca-fr-u-kn', // T56680, T146675
	'frwikibooks' => 'uca-fr', // T74513
	'frwikinews' => 'uca-fr', // T68165
	'frwikiversity' => 'uca-fr', // T71782

We have chosen "uca-default" before "uca-fr" because it includes it, among several other languages collations we publish.

As a Wiktionary, it probably has many articles with titles in different languages than French.

Removing Wiktionary tag: "Please do not report language specific tasks under this project (e.g. for en.wiktionary)."

MarcoAurelio triaged this task as Low priority.
MarcoAurelio moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
MarcoAurelio moved this task from unsorted/backlog to working on on the User-MarcoAurelio board.

Change 363740 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Set $wgCategoryCollation to 'uca-default' for fr.wiktionary

https://gerrit.wikimedia.org/r/363740

Change 363740 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgCategoryCollation to 'uca-default' for fr.wiktionary

https://gerrit.wikimedia.org/r/363740

Mentioned in SAL (#wikimedia-operations) [2017-07-10T13:44:25Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:363740|Set $wgCategoryCollation to uca-default for fr.wiktionary (T169810)]] (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-07-10T14:12:15Z] <TabbyCat> mwscript updateCollation.php --wiki=frwiktionary --previous-collation=uppercase is being running by zfilipin to finish T169810

MarcoAurelio closed this task as Resolved.Jul 10 2017, 2:17 PM
MarcoAurelio moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

I don't know if a maintenance period was planned, but currently the "previous" and "next" links in the categories are not working properly anymore.

Example: https://fr.wiktionary.org/w/index.php?title=Cat%C3%A9gorie:fran%C3%A7ais&pagefrom=zz#mw-pages

@JackPotte updateCollation.php is being run at this moment to sort the categories with the new collation. It may take a while. If after the script is finished the problem still persists, we will review. Thanks.

MarcoAurelio closed this task as Resolved.Jul 10 2017, 2:21 PM
MarcoAurelio added a subscriber: zeljkofilipin.